<script lang="ts">
  import Point from "./icons/Point.svelte";
  import Trick from "./icons/Trick.svelte";

  export let player: Player;
</script>

<div class="wrapper">
  <div class="item">
    <Point />
    &nbsp;✕&nbsp;{player.score}
  </div>
  <div class="item">
    <Trick />
    &nbsp;✕&nbsp;{player.tricks}
  </div>
</div>

<style>
  .wrapper {
    width: 9em;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
  }
  .item {
    white-space: nowrap;
  }
</style>
